Email Communication List

Query, paginate, and sort email communication log results.

Query String Parameters

Parameter nameAcceptable Type
customerIDInteger
emailTypeCustomerActivation,
SubscriptionCancellation,
CustomerCredentialCreate,
CustomerSuspend,
DraftInvoice,
InvoiceOverdue,
InvoicePost,
StatementNotification,
UpcomingBillingNotification,
CreditCardExpiry,
PaymentFailed,
PaymentMethodUpdate,
PaymentReceived,
Refund,
CreditAddedtoccount,
PendingExpiryRenewalNotice,
SubscriptionActivationCustomer,
CredentialPasswordReset,
CredentialPasswordSetup
createdTimestampDate Range
deliveryResultString
companyNameString

This call supports querying, pagination, and sorting. For syntax and examples, see Pagination, Filtering, Sorting, and Event Suppression.
&query=parameterName:Value

  • See here for Stax Bill currency codes
    Use &pageSize=10&pageNumber=0 for pagination.
    Use &sortOrder=Ascending or &sortOrder=Descending with &sortExpression=expression for sorting.
Examples
curl -X GET "https://secure.fusebill.com/v1/CustomerEmailLogs&pageSize=100&pageNumber=0" \
	-H "Content-Type: application/json" \
	-H "Authorization: Basic {APIKey}"
//Setup API key
string apiKey = "{APIKey}";
//Configure URI
WebRequest request = WebRequest.Create("HTTPS://secure.fusebill.com/purchases/getbyProductId?id={{productID}}&query=Quantity:0|5&pageSize=100&pageNumber=0");
//Add Content type
request.ContentType = "application/json";
//Add Api key authorization
request.Headers.Add(HttpRequestHeader.Authorization, "Basic "+apiKey);
//Set request method
request.Method = "GET";      
//Perform the request
var httpResponse = (HttpWebResponse)request.GetResponse();
//Record the response from our request
var result = "";
using (var streamReader = new StreamReader(httpResponse.GetResponseStream()))
{
  result = streamReader.ReadToEnd();
}
#Import library JSON
import requests
#Pass in a dictionary to the Headers parameter
headers = {'Authorization' : 'Basic {APIKey}', 'Content-Type' : 'application/json'}
#Pass in your URI, Payload and Headers
r = requests.get('https://secure.fusebill.com/v1/purchases/getbyProductId?id={{productID}}&query=Quantity:0|5&pageSize=100&pageNumber=0', headers=headers)
print(r.content)
Query Params
string
int32
int32
string
string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json